MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007192ardourbugspublic2017-01-01 10:252017-02-26 05:18
Reporterunfa 
Assigned Totimbyr 
PrioritynormalSeverityminorReproducibilityrandom
StatusresolvedResolutionfixed 
PlatformPC / LinuxOSLinux MintOS Version18 KDE5 64-bit
Product Version5.5 
Target VersionFixed in Version5.6 
Summary0007192: Splitting MIDI regions creates a mess
DescriptionWhen splitting a MIDI region between the notes, the first note after the splitting point is often removed.

This seems to depend on the distance of the splitting point from the note.

Some notes seem to be unaffected, some need a smaller distance from the splitting point to disappear, some disappear with a larger distance.

Also frequently the two new regions created during splitting overlap or leave a gap between them.

When moving these overlapping or gapped regions their contents seem to jump to different locations within the regions sometimes.
Steps To Reproduce1. Record a region with a lot of short notes on a MIDI track
2. Split the region multiple times between the notes (using the S key)
Additional InformationI've captured a short video that demonstrates what I experience:

https://youtu.be/I_ZvZwu5r-U [^]

The newest version of Ardour where I experienced this is:

Ardour 5.5.72
"The Plateaux of Mirror"
(rev 5.5-72-ge97404c)
Intel 64-bit

Downloaded from build.ardour.org
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0019270)
nick_m (reporter)
2017-01-06 09:07

i had a difficult time reproducing this until i noticed you were using magnetic snap.

thanks for the report.
(0019271)
nick_m (reporter)
2017-01-06 09:08

only happens with magnetic snap
(0019274)
unfa (reporter)
2017-01-08 10:26

Wow, I didn't notice that I had magnetic snapping on at all. Good I recorded a video.
(0019331)
nick_m (reporter)
2017-02-04 04:27

this should be fixed in current master (rework_snap branch was just merged).
(0019370)
nick_m (reporter)
2017-02-12 06:32

can you confirm that this is fixed in 5.6?
(0019442)
timbyr (developer)
2017-02-26 05:18

I just retested this with 5.6.171 and still seems to be resolved, so marking as such. If reporter thinks otherwise they can reopen.

- Issue History
Date Modified Username Field Change
2017-01-01 10:25 unfa New Issue
2017-01-06 09:07 nick_m Note Added: 0019270
2017-01-06 09:08 nick_m Note Added: 0019271
2017-01-06 09:08 nick_m Status new => confirmed
2017-01-08 10:26 unfa Note Added: 0019274
2017-02-04 04:27 nick_m Note Added: 0019331
2017-02-12 06:32 nick_m Note Added: 0019370
2017-02-13 02:14 timbyr Status confirmed => feedback
2017-02-26 05:18 timbyr Note Added: 0019442
2017-02-26 05:18 timbyr Status feedback => resolved
2017-02-26 05:18 timbyr Fixed in Version => 5.6
2017-02-26 05:18 timbyr Resolution open => fixed
2017-02-26 05:18 timbyr Assigned To => timbyr


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker